Browse Source

Cap hacking in test-requirements.txt

hacking as a linter is in global requirements blacklist and so is not in
constraints. Recent release introduced new rules that required fix on
master, on stable branches we should rather cap to the version that was
in use during this release development.

Change-Id: I6492eb089b4977655b5c6977d36e13260f85f7ed
changes/38/699638/1
Bernard Cafarelli 2 years ago
parent
commit
6d9aae2ab3
No known key found for this signature in database GPG Key ID: 9531F08245465A52
  1. 2
      test-requirements.txt

2
test-requirements.txt

@ -1,7 +1,7 @@
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
hacking>=1.1.0 # Apache-2.0
hacking>=1.1.0,<1.2.0 # Apache-2.0
bandit!=1.6.0,>=1.1.0 # Apache-2.0
coverage!=4.4,>=4.0 # Apache-2.0

Loading…
Cancel
Save